# -------------------------------------------------------------------------
# DMvsVA PAPER 
# Average exp time
# -------------------------------------------------------------------------
#
# Author: EVANTHIA DIMARA
#

rm(list = ls()) # clean up R's memory

participant_data <- read.csv("results/participants_p21.csv") 
participant_data <- mergeStartEndColumnsToDurationforExpTime(participant_data)

startTime <- strptime(participant_data[,"startTime"], "%Y-%m-%d %H:%M:%S")
endTime   <- strptime(participant_data[,"endTime"], "%Y-%m-%d %H:%M:%S")
duration  <- endTime - startTime 

meanTime <- mean(duration)
meanTime

maxTime <- max(duration)
maxTime

minTime <- min(duration)
minTime


